summaryrefslogtreecommitdiff
path: root/home/.signout.sh
diff options
context:
space:
mode:
authornavewindre <boneyaard@gmail.com>2025-07-13 01:45:05 +0200
committernavewindre <boneyaard@gmail.com>2025-07-13 01:45:05 +0200
commitd49e4b0a25c7cc75ade210c7092eea8feb75e692 (patch)
tree2a38c3846dee25d0d83c820de6bade62f54db90f /home/.signout.sh
parent1fe841b80b6284737661870c87abbc26ecba4109 (diff)
restructure
Diffstat (limited to 'home/.signout.sh')
-rwxr-xr-xhome/.signout.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/home/.signout.sh b/home/.signout.sh
new file mode 100755
index 0000000..9ff7a52
--- /dev/null
+++ b/home/.signout.sh
@@ -0,0 +1,12 @@
+gmessage "Are you sure you want to shut down your computer?" -center -title "Take action" -font "Sans bold 10" -default "Cancel" -buttons "_Cancel":1,"_Log out":2,"_Reboot":3,"_Shut down":4 >/dev/null
+
+case $? in
+1)
+echo "Exit";;
+2)
+killall openbox;;
+3)
+sudo shutdown -r now;;
+4)
+sudo shutdown -h now;;
+esac